#
# spec file for package DoxyGenFilter
#
# Copyright (c) 2006 Thomas Aeby, Switzerland
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:		doxygenfilter
Version:	1.10
Release:	4
License:	GPL+
Group:		Development/Tools
Vendor:		Big Sister
Summary:	Doxygen Input Filter enabling Perl support
Url:		http://www.bigsister.ch/doxygenfilter
Source:		http://downloads.sourceforge.net/project/bigsister/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl >= 0:5.006
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl-HTML-Parser
Requires:	perl-HTML-Entities-Numbered
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
DoxyGen-Filter is a Perl script and accompanying Perl modules that
can be used as INPUT_FILTER for doxygen. It converts Perl files
in a way that doxygen will be able to generate code documentation
from Doxygen-Filter's output.

%prep
%setup -q

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}

%__mkdir -p %{buildroot}%{_libdir}
%__make pure_install PERL_INSTALL_ROOT=%{buildroot}

# Install documentation
%__mkdir_p %{buildroot}%{_datadir}/doc/%{name}/examples
%__cp CHANGES %{buildroot}%{_datadir}/doc/%{name}
%__cp README %{buildroot}%{_datadir}/doc/%{name}

# Install examples
%__cp examples/* %{buildroot}%{_datadir}/doc/%{name}/examples/

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
%__make test

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%docdir %{_datadir}/doc/%{name}
%docdir %{_datadir}/doc/%{name}/examples
%{_datadir}/doc/%{name}/*
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 17 2011 Jessica R Jones <fedora@zaniyah.org> 1.10-3
- Change group to more standard equivalent
- Remove macros from changelog
- Fix rpmlint warnings
- Add vendor
- Correct source link and URL

* Tue Mar 15 2011 Jessica R Jones <fedora@zaniyah.org> 1.10-3
- Clean up files section
- Add clean and check sections
- Change make to use pure_install
- Replace strange use of tar to copy files with cp

* Tue Mar 15 2011 Jessica R Jones <fedora@zaniyah.org> 1.10-2
- Rebuild for Fedora 13
- Add missing Requires and BuildRequires
- Change hard-coded paths and binary names to use macros
- Delete unnecessary post section
